import ru.landgrafhomyak.bgtu.networks0.build_script.Dependencies
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineAllMultiplatformTargets

plugins {
	kotlin("multiplatform")
}

repositories {
	mavenCentral()
	maven("https://maven.landgrafhomyak.ru/")
}


kotlin {
	defineAllMultiplatformTargets()

	sourceSets {
		commonMain {
			dependencies {
				implementation(Dependencies.kotlin_coroutines_core)
				implementation(Dependencies.kotlin_datetime)
				implementation(Dependencies.int_serializers)
				implementation(project(":modules:low-level:sockets"))
			}
		}
	}
}