plugins {
	kotlin("multiplatform")
}

repositories {
	mavenCentral()
	maven("https://maven.landgrafhomyak.ru/")
}


kotlin {
	linuxX64 {
		this.binaries.executable {
			entryPoint("main")
		}
	}

	sourceSets {
		linuxX64Main {
			dependencies {
				implementation(project(":modules:low-level:multithreading"))
				implementation(project(":modules:low-level:sockets"))
				implementation(project(":modules:icmp"))
			}
		}
	}
}