package ru.landgrafhomyak.bgtu.networks0.low_level.multithreading

import kotlinx.cinterop.CFunction
import kotlinx.cinterop.CPointer
import kotlinx.cinterop.CPointerVarOf
import kotlinx.cinterop.CValuesRef
import kotlinx.cinterop.ExperimentalForeignApi
import platform.posix.pthread_attr_t

@OptIn(ExperimentalForeignApi::class)
internal expect class _PthreadsThreadBindings {
	constructor()

	fun create(
		attr: CValuesRef<pthread_attr_t>?,
		routine: CPointer<CFunction<(CPointer<*>?) -> CPointer<*>?>>?,
		arg: CValuesRef<*>?
	): Int

	fun join(
		routineReturn: CValuesRef<CPointerVarOf<CPointer<*>>>?
	): Int

	fun free()
}