import ru.landgrafhomyak.bgtu.networks0.build_script.Dependencies
import ru.landgrafhomyak.bgtu.networks0.build_script.configureWarnings
import ru.landgrafhomyak.bgtu.networks0.build_script.setupHierarchy
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineAllMultiplatformTargets

plugins {
	kotlin("multiplatform")
}

repositories {
	mavenCentral()
}


kotlin {
	configureWarnings()

	defineAllMultiplatformTargets()
	sourceSets {
		setupHierarchy()

		commonMain {
			dependencies {
				implementation(Dependencies.kotlin_atomicfu)
			}
		}
	}
}